Click or drag to resize

BrepCreateFromTaperedExtrudeWithRef Method

Creates one or more Breps by extruding a curve a distance along an axis with draft angle.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFromTaperedExtrudeWithRef(
	Curve curve,
	Vector3d direction,
	double distance,
	double draftAngle,
	Plane plane,
	double tolerance
)

Parameters

curve
Type: Rhino.GeometryCurve
The curve to extrude.
direction
Type: Rhino.GeometryVector3d
The extrusion direction.
distance
Type: SystemDouble
The extrusion distance.
draftAngle
Type: SystemDouble
The extrusion draft angle in radians.
plane
Type: Rhino.GeometryPlane
The end of the extrusion will be parallel to this plane, and "distance" from the plane's origin. The plane's origin is generally be a point on the curve. For planar curves, a natural choice for the plane's normal direction will be the normal direction of the curve's plane. In any case, plane.Normal = direction may make sense.
tolerance
Type: SystemDouble
The intersecting and trimming tolerance.

Return Value

Type: Brep
An array of Breps if successful.
Version Information

Rhino for Windows

Supported in: 6.18
See Also